> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/program-api/enrollment/enrollment-attachment.md).

# Enrollment attachment

The `enrollmentAttachment` object provides the ability to upload an enrollment attachment (via file upload or license key) to the enrollment object.

This object contains the following attributes:

<table><thead><tr><th width="180">Field Name</th><th width="152">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td><code>string</code></td><td><p>The primary identifier of the attachment. </p><p>Example: ATT-0001-0001-0001-001</p></td></tr><tr><td>href</td><td><code>string</code></td><td> A reference to attachment within the API. </td></tr><tr><td>name</td><td><code>string</code></td><td><p>The name of the <code>attachment</code> object.  </p><p>Example: Guide to establishing a reseller relationship</p></td></tr><tr><td>description</td><td><code>string</code></td><td><p>The description of the <code>attachment</code> object. </p><p>Example: Learn what happens when you establish a reseller relationship with SoftwareOne</p></td></tr><tr><td>type</td><td><code>string</code></td><td><p>The type of the <code>attachment</code> object. </p><p>Example: File</p></td></tr><tr><td>reference</td><td><code>string</code></td><td><p>The URI to access the <code>attachment</code> object. </p><p>Example: microsoft-agreement-certification.pdf</p></td></tr><tr><td>order</td><td><code>order</code></td><td><p>Example:</p><pre class="language-json" data-overflow="wrap" data-line-numbers><code class="lang-json">{
    "id": "ORD-5542-1187-3130-0991",
    "href": "/commerce/orders/ORD-5542-1187-3130-0991"
}
</code></pre></td></tr><tr><td>audit</td><td><a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a></td><td>A reference to the <code>audit</code> object. </td></tr></tbody></table>

### Example

{% code lineNumbers="true" %}

```json
{
    "id": "ATT-0001-0001-0001-0001",
    "href": "v1/catalog/enrollment/attachment/ATT-0001-0001-0001-0001",
    "name": "Guide to establishing a reseller relationship",
    "description": "Learn what happens when you establish a reseller relationship with SoftwareOne",
    "type": "File",
    "reference": "microsoft-agreement-certification.pdf",
    "order": {
        "id": "ORD-5542-1187-3130-0991",
        "href": "/commerce/orders/ORD-5542-1187-3130-0991"
    },
    "audit": {
     "created": { "at": "...", "by": { } },
     "updated": { "at": "...", "by": { } }
   }
  }
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/program-api/enrollment/enrollment-attachment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
